Vibration API can no longer be used from cross-origin <iframe>

Published: | Categories: DOM

Description

Using the Vibration API in a cross-origin <iframe> is no longer allowed on Firefox 72 and later, because the API is sometimes abused by untrusted third parties. From now on, calling the navigator.vibrate method will silently fail in such cases. Google Chrome has already made the same change in version 55.

References